Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.taskui
Interface TaskUIManager

All Superinterfaces:
  PortletService

Deprecated. This API is deprecated since version 8.0 - Human Task processing functionality is handled by the new Universal Tasklist Portlet.

    public interface TaskUIManager

extends PortletService

The TaskUIManager is a Java Portlet API portlet service that is used by task processing portlets to manage the UI elements that were created for a given task.

Since:
  5.1

Method Summary
`void` | `closeDynamicUI(ActionRequest request, ActionResponse response, TaskUIHandle handle)` Deprecated. Closes the task UI element that is identified by the passed TaskUIHandle.
`void` | `setPage(ActionRequest request, ActionResponse response, ObjectID objectID)` Deprecated. Sets the page that should be displayed in the render phase following this action phase.

Method Detail

### closeDynamicUI

    void closeDynamicUI(ActionRequest request,
                        ActionResponse response,
                        TaskUIHandle handle)
                        throws TaskUIManagerException

  Deprecated.
  Closes the task UI element that is identified by the passed TaskUIHandle. None of the parameters is allowed to be `null` . The passed action request and response must be those passed to the portlet or wrappers around those originally passed objects.

  Parameters:
    `request` - The ActionRequest.
    `response` - The ActionResponse.
    `handle` - The TaskUIHandle.
  Throws:
    `TaskUIManagerException` - Thrown if an error occurs during processing.

### setPage

    void setPage(ActionRequest request,
                 ActionResponse response,
                 ObjectID objectID)
                 throws TaskUIManagerException

  Deprecated.
  Sets the page that should be displayed in the render phase following this action phase. None of the parameters is allowed to be `null` . The passed action request and response must be those passed to the portlet or wrappers around those originally passed objects.

  Parameters:
    `request` - The ActionRequest.
    `response` - The ActionResponse.
    `objectID` - The id of the page to be selected.
  Throws:
    `TaskUIManagerException` - Thrown if an error occurs during processing.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD